package db

import (
	"context"
	"youngee_m_api/model/gorm_model"
)

func GetTaskList(ctx context.Context, projectID int64) ([]gorm_model.YoungeeTaskInfo, error) {
	db := GetReadDB(ctx)
	var tasks []gorm_model.YoungeeTaskInfo

	err := db.Where("project_id=?", projectID).Find(&tasks).Error
	if err != nil {
		return nil, err
	}
	return tasks, nil
}
