package http_model

type ModifyPricingRequest struct {
	StrategyId  string `json:"strategy_id"`
	ProjectType string `json:"project_type"` //项目类型
	FeeForm     string `json:"fee_form"`     //稿费形式
	Platform    string `json:"platform"`     //社媒平台
	FansLow     int64  `json:"fans_low"`     //对应创作者 粉丝量
	FansHigh    int64  `json:"fans_high"`    //对应创作者 粉丝量
	BaseOffer   int64  `json:"base_offer"`   //基础报价
	PlatformFee int64  `json:"platform_fee"` //平台服务费
}

type ModifyPricingResponse struct {
}

func NewModifyPricingRequest() *ModifyPricingRequest {
	return new(ModifyPricingRequest)
}

func NewModifyPricingResponse() *CommonResponse {
	resp := new(CommonResponse)
	return resp
}
