package db

import (
	"context"
	"youngee_m_api/model/gorm_model"
)

func CreateRecruitStrategy(ctx context.Context, recruitStrategys []gorm_model.RecruitStrategy) error {
	db := GetReadDB(ctx)
	err := db.Create(&recruitStrategys).Error
	if err != nil {
		return err
	}
	return nil
}

func DeleteRecruitStrategyByProjectID(ctx context.Context, projectID int64) error {
	db := GetReadDB(ctx)
	err := db.Where("project_id = ?", projectID).Delete(&gorm_model.RecruitStrategy{}).Error
	if err != nil {
		return err
	}
	return nil
}
